<?php

namespace Daite\Coopdigital\Http\Controllers;

use App\Http\Controllers\Controller;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ControladorReportes extends Controller
{

    public function traerResumen(Request $request)
    {
        $desdeDefault = '';
        $hastaDefault = '';
        if (empty($request->get('desde')) && empty($request->get('hasta'))) {
            $rangoFechas = DB::select("EXEC [AppMovil].[p_traer_filtros_registros] '', 'RANGOFECHAS';");
            $desdeDefault = Carbon::parse($rangoFechas[0]->desde)->format('Ymd');
            $hastaDefault = Carbon::parse($rangoFechas[0]->hasta)->format('Ymd');
        }

        //$idUsuario = $request->get('id_usuario') ?? '';
        $desde = $request->get('desde') ?? $desdeDefault;
        $hasta = $request->get('hasta') ?? $hastaDefault;
        $sucursal = $request->get('sucursal') ?? '';
        //Log::info("SET NOCOUNT ON; EXEC [AppMovil].[p_traer_resumen] '$idUsuario', 'VENTAS', '$sucursal', '$desde', '$hasta';");
        $registros = DB::select(
            "SET NOCOUNT ON; EXEC [AppMovil].[p_traer_resumen] '', 'VENTAS', '$sucursal', '$desde', '$hasta';",
        );
        return response()->json($registros);
    }

    public function traerEstadisticas(Request $request)
    {

        $idUsuario = $request->get('id_usuario') ?? session()->get('usuarioIniciado')['id'];

        $ahorros = DB::select(
            "SET NOCOUNT ON; EXEC [AppMovil].[p_traer_registros] '$idUsuario', 'RESUMEN_AHORROS', '', '';",
        );
        $aportaciones = DB::select(
            "SET NOCOUNT ON; EXEC [AppMovil].[p_traer_registros] '$idUsuario', 'RESUMEN_APORTES', '', '';",
        );

        $registros = array($ahorros, $aportaciones);

        return response()->json($registros);
    }

}
